Docs
Add Task Attribute
POST /taskAttributes
POST
/taskAttributesCreates a custom task attribute at the end of the attribute order; options only apply to the Select and MultiSelect types. Needs an event token and the event project management admin permission.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| type | string | Optional | |
| isRequired | boolean | Optional | |
| options | AddTaskAttributeRequestOption[] | Optional |
AddTaskAttributeRequestOption
| Field | Type | Description |
|---|---|---|
| value | string| null | |
| color | string| null | |
| icon | string| null |